set filenameprev=%1
set filenamesuffix=".txt"
set filename=%filenameprev%%filenamesuffix%

date/t >> %filename%
time/t >> %filename%
ping -n 2 www.baidu.com >> %filename%
ping -n 2 www.eelly.com >> %filename%
ping -n 2 im.eelly.net >> %filename%
tracert 211.147.242.145 >> %filename%
exit